Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.deployment
Class WebAppEnhancer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.server.deployment.WebAppIntercepter
                      org.jboss.portal.server.deployment.WebAppEnhancer

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class WebAppEnhancer

extends WebAppIntercepter

The role of this object is to modify the web application so it is possible to invoke it by request distpatching.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`WebAppEnhancer()`

Method Summary
`protected void` | `deploy(PortalWebApp pwa)` Perform the deploy notification.
`ServerConfig` | `getConfig()`
`void` | `setConfig(ServerConfig config)`
`protected void` | `undeploy(PortalWebApp jwa)` Perform the undeploy notification.

Methods inherited from class org.jboss.portal.server.deployment.WebAppIntercepter
`getDeployedURLs, getInterceptedDeployer, getJBossAppEntityResolver, handleNotification, setInterceptedDeployer, setJBossAppEntityResolver, startService, stopService`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppEnhancer

    public WebAppEnhancer()

Method Detail

### getConfig

    public ServerConfig getConfig()

### setConfig

    public void setConfig(ServerConfig config)

### deploy

    protected void deploy(PortalWebApp pwa)

  Description copied from class: `WebAppIntercepter`
  Perform the deploy notification.

  Specified by:
    `deploy` in class `WebAppIntercepter`

### undeploy

    protected void undeploy(PortalWebApp jwa)

  Description copied from class: `WebAppIntercepter`
  Perform the undeploy notification.

  Specified by:
    `undeploy` in class `WebAppIntercepter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD